## org.apache.commons.configuration
Class DefaultConfigurationBuilder.XMLConfigurationProvider

    java.lang.Object
      org.apache.commons.configuration.beanutils.DefaultBeanFactory
          org.apache.commons.configuration.DefaultConfigurationBuilder.ConfigurationProvider
              org.apache.commons.configuration.DefaultConfigurationBuilder.FileConfigurationProvider
                  org.apache.commons.configuration.DefaultConfigurationBuilder.XMLConfigurationProvider

All Implemented Interfaces:
  BeanFactory

Enclosing class:
  DefaultConfigurationBuilder

    public static class DefaultConfigurationBuilder.XMLConfigurationProvider

extends DefaultConfigurationBuilder.FileConfigurationProvider

A specialized configuration provider for XML configurations. This implementation acts like a `FileConfigurationProvider`, but it will copy all entity IDs that have been registered for the configuration builder to the new XML configuration before it is loaded.

Since:
  1.6

Field Summary

Fields inherited from class org.apache.commons.configuration.beanutils.DefaultBeanFactory
`INSTANCE`

Constructor Summary
`DefaultConfigurationBuilder.XMLConfigurationProvider()` Creates a new instance of `XMLConfigurationProvider`.

Method Summary
`AbstractConfiguration` `getEmptyConfiguration(DefaultConfigurationBuilder.ConfigurationDeclaration decl)` Returns a new empty configuration instance.

Methods inherited from class org.apache.commons.configuration.DefaultConfigurationBuilder.FileConfigurationProvider
`getConfiguration, initBeanInstance`

Methods inherited from class org.apache.commons.configuration.DefaultConfigurationBuilder.ConfigurationProvider
`fetchConfigurationClass, getConfigurationClass, getConfigurationClassName, loadClass, setConfigurationClass, setConfigurationClassName`

Methods inherited from class org.apache.commons.configuration.beanutils.DefaultBeanFactory
`createBean, createBeanInstance, getDefaultBeanClass`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultConfigurationBuilder.XMLConfigurationProvider

    public DefaultConfigurationBuilder.XMLConfigurationProvider()

  Creates a new instance of `XMLConfigurationProvider`.

Method Detail

### getEmptyConfiguration

    public AbstractConfiguration getEmptyConfiguration(DefaultConfigurationBuilder.ConfigurationDeclaration decl)
                                                throws Exception

  Returns a new empty configuration instance. This implementation performs some additional initialization specific to XML configurations.

  Overrides:
    `getEmptyConfiguration` in class `DefaultConfigurationBuilder.FileConfigurationProvider`
  Parameters:
    `decl` - the configuration declaration
  Returns:
    the new configuration
  Throws:
    `Exception` - if an error occurs

Copyright © 2001-2012 The Apache Software Foundation. All Rights Reserved.